Skip to main content
POST
/
payments
/
org-configs
Create org payment config (admin)
curl --request POST \
  --url https://api.pcxpay.com/v1/payments/org-configs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "org_id": "<string>",
  "preferred_payment_method": "bank_transfer",
  "crypto_disabled": true,
  "fiat_disabled": true,
  "regulatory_restrict_crypto_payments": true,
  "crypto_restricted_countries": [
    "<string>"
  ],
  "required_kyc_level_for_crypto": "<string>",
  "crypto_min_amount": 123,
  "crypto_max_amount": 123,
  "supported_crypto_currencies": [
    "<string>"
  ],
  "supported_fiat_currencies": [
    "<string>"
  ],
  "description": "<string>",
  "is_active": true
}
'
{
  "org_id": "<string>",
  "preferred_payment_method": "bank_transfer",
  "crypto_disabled": true,
  "fiat_disabled": true,
  "regulatory_restrict_crypto_payments": true,
  "crypto_restricted_countries": [
    "<string>"
  ],
  "required_kyc_level_for_crypto": "<string>",
  "crypto_min_amount": 123,
  "crypto_max_amount": 123,
  "supported_crypto_currencies": [
    "<string>"
  ],
  "supported_fiat_currencies": [
    "<string>"
  ],
  "description": "<string>",
  "is_active": true,
  "config_version": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
org_id
string
required
preferred_payment_method
enum<string>
Available options:
bank_transfer,
card,
mobile_money,
crypto,
wallet
crypto_disabled
boolean
fiat_disabled
boolean
regulatory_restrict_crypto_payments
boolean
crypto_restricted_countries
string[]
required_kyc_level_for_crypto
string
crypto_min_amount
number<float>
crypto_max_amount
number<float>
supported_crypto_currencies
string[]
supported_fiat_currencies
string[]
description
string
is_active
boolean

Response

Config created

org_id
string
required
preferred_payment_method
enum<string>
Available options:
bank_transfer,
card,
mobile_money,
crypto,
wallet
crypto_disabled
boolean
fiat_disabled
boolean
regulatory_restrict_crypto_payments
boolean
crypto_restricted_countries
string[]
required_kyc_level_for_crypto
string
crypto_min_amount
number<float>
crypto_max_amount
number<float>
supported_crypto_currencies
string[]
supported_fiat_currencies
string[]
description
string
is_active
boolean
config_version
string
created_at
string<date-time>
updated_at
string<date-time>